# peertube.it

A video promoting the idea that facemasks are dangerous and is all sciency about
it was posted by the root account.  This content will kill people if believed.

Instance has been muted, and unfollowed.  
